Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt

Use this file to discover all available pages before exploring further.

Date ranges allow you to filter search results by time periods.
In the API, you can specify the temporal filter with the request object timestamp.
  curl -X POST 'https://api.bigdata.com/v1/search' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: <your-api-key>' \
  --data '{
  "query": {
    "filters": {
      "timestamp": {
        "start": "2025-09-15T22:00:00.000Z",
        "end": "2025-10-15T21:59:59.999Z"
      },
      "keyword": {
        "any_of": [
          "tesla"
        ]
      },
      "entity": {
        "any_of": [
          "228D42"
        ]
      }
    },
    "max_chunks": 2
  }
}'